/*
Theme Name: Family The Everyday Child
Description: Family The Everyday Child is a child theme of Hello Elementor, created by Family The Everyday Team
Author: Family The Everyday Team
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/
/* Add your Dotsqaures styles here */

@font-face {
    font-family: 'Poppins';
    src: url('/fonts/Poppins-Medium.woff2') format('woff2'),
        url('/fonts/Poppins-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('/fonts/Poppins-Regular.woff2') format('woff2'),
        url('/fonts/Poppins-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('/fonts/Poppins-SemiBold.woff2') format('woff2'),
        url('/fonts/Poppins-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}


p{ margin-bottom: 0;}

/*header css*/
.home.ehf-header #masthead .headertop{position: absolute}
.ehf-header #masthead .headertop {max-width: 1320px;left: 0;right: 0;background: rgba(255, 255, 255, 90%);border-radius: 0 0 30px 30px;}
.ehf-header #masthead .headertop nav.hfe-nav-menu__submenu-arrow {width: auto !important;}
/*header css end*/

/*home slider css*/
.homeslider .single-slide-item.htslider-single-post-slide{ position:relative; }
.homeslider .single-slide-item.htslider-single-post-slide:before{content: ''; position: absolute; left: 0; right: 0; height: 100%; width: 100%; background: #351800; background: linear-gradient(90deg,rgba(53, 24, 0, 1) 0%, rgba(255, 255, 255, 0) 40%);}
.homeslider .single-slide-item.htslider-single-post-slide .htb-container {max-width: 1320px;padding: 0; z-index: 9999; position: relative;}
.homeslider .single-slide-item.htslider-single-post-slide .htb-container .content {padding: 0;max-width:770px;width: 100%;  z-index: 9999; position: relative;}
.homeslider .htslider-single-post-slide .content .post-inner p {color: #fff;font-size: 20px;}
.homeslider .htslider-carousel-activation.dot_bottom_center .slick-dots {bottom:inherit;width: 16px;left: 50%;-webkit-transform: translateX(-50%);transform: translateX(-50%);margin-left: 0px;
position: absolute;top: 50%;left: 0;transform: translate(54px, -50%);}
.homeslider .htslider-postslider-area .slick-dots li button{background: #fff;}
.homeslider .htslider-postslider-area .slick-dots li.slick-active button{background: #F89F73;}
/*home slider css end*/

/*home about css*/
.abttopcontent .e-con-inner .elementor-widget-image {overflow: hidden;border-radius: 30px;}
.homeabt .elementor-element.homeabthistory .abthistory {background: #FFECE3;border-radius: 15px;padding:40px 30px;}
.homeabt .elementor-element.homeabthistory .abthistory h3.hfe-infocard-title {text-align: left;}
.homeabt .elementor-element.homeabthistory .abthistory .hfe-infocard-text {text-align: left;}
/*home about css end*/

/*home video css*/
.familyvideo .elementor-element.familyvideobox .elementor-widget-video {height: 300px;}
.familyvideo .elementor-element.familyvideobox .elementor-widget-video .elementor-open-inline {height: 100%; width: 100%; overflow: hidden;}
.familyvideo .elementor-element.familyvideobox iframe {transition: all 0.5s ease;}
.familyvideo .elementor-element.familyvideobox:hover iframe {transition: all 0.5s ease;transform: scale(1.1);}
.familyvideo .elementor-element.familyvideobox:hover a.elementor-button {background: #f89f73; color: #fff;}
/*home video css end*/

/*home gallery css*/
.homegallery .e-con-inner .elementor-widget-image {height: 100%;overflow: hidden;}
.homegallery .e-con-inner .elementor-widget-image img{transition: all 0.5s ease;}
.homegallery .e-con-inner .elementor-widget-image:hover img {transition: all 0.5s ease;transform: scale(1.1);}
/*home gallery css end*/

/*about page css*/
.historic_memory .elementor-element.elementor-widget-image {height: 100%; border-radius: 30px; overflow: hidden;}
.innerbanner .innerbannercontent {max-width: 700px; width: 100%;}
/*about page css end*/

/*video gallery page css*/
.videogallery .elementor-element.elementor-widget-video {height: 100%;border-radius: 15px;overflow: hidden;}
.videogallery .elementor-element.elementor-widget-video .elementor-open-inline {height: 100%;}
/*video gallery page css end*/

/*photo gallery css*/
.gallerycrousal .swiper-slide {aspect-ratio: 1;}
.gallerycrousal .swiper-slide figure.swiper-slide-inner {height: 100%; overflow: hidden; border-radius: 30px;}
.gallerycrousal .swiper-slide figure.swiper-slide-inner img.swiper-slide-image {aspect-ratio: 1;object-fit: cover;border-radius: 30px;width: 100%; transition: all 0.5s ease;}
.gallerycrousal .swiper-slide figure.swiper-slide-inner:hover img.swiper-slide-image {transition: all 0.5s ease;transform: scale(1.1);}
.elementor-element.gallerydetail .elementor-widget-image{overflow: hidden; border-radius: 30px;}
.elementor-element.gallerydetail .elementor-widget-image img {aspect-ratio: 1;object-fit: cover;}
.elementor-element.gallerydetail .elementor-widget-text-editor h3 {color: #000;font-family: "Playfair", Sans-serif;font-style: italic;font-size: 40px;}
.gallerycrousal .swiper-pagination{ margin-top:15px; }
.gallerycrousal .swiper-pagination span.swiper-pagination-bullet {width: 15px;height: 15px;}
.gallerycrousal .swiper-pagination span.swiper-pagination-bullet.swiper-pagination-bullet {background: #f89f73;}
.elementor-element.gallerycrousal .swiper-pagination.swiper-pagination-horizontal {bottom: -18px;}
/*photo gallery css end*/

/*tree house css*/
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-zoom-contorl {text-align: center;margin: auto;display: flex;justify-content: center;gap: 10px; flex-wrap: wrap; margin-bottom: 30px; padding:0;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-zoom-contorl button {background-color: #F89F73;font-family: "Poppins", Sans-serif;font-size: 18px;font-weight: 700;text-transform: uppercase;
text-decoration: none;border-radius: 27px 27px 27px 27px;padding: 10px 30px 10px 30px;border: none;color: #fff;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-zoom-contorl button.gt-expand-compress{display: none;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree {width: 100%;background: none; padding: 0;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs {width: 100%;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li ul.families {width: 100%;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind.H{background: #f89f73 !important; margin-top: -13px;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind {padding: 15px 15px;border-radius: 10px;border: none; width: 220px;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind a {font-size: 20px;font-weight: bold;font-family: 'Poppins'; display: block;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind span {font-size: 16px;font-weight: 500;font-family: 'Poppins';}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind .birt-deat {font-size: 10px;font-weight: 500;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree + div {display: none;}

.single-gt-member main#content {max-width: 1320px;padding: 0 20px;}
.single-gt-member .page-content {margin-bottom: 50px;}
.single-gt-member .page-header h1.entry-title {margin: 40px 0 30px;font-size: 30px;font-weight: bold;}
.single-gt-member h4 {font-size: 20px;margin: 10px 0; font-weight: bold;}
.single-gt-member .site-main table {max-width: 100% !important;}
.single-gt-member table tr:nth-child(odd) {background: #fff3ee;}
.single-gt-member table tr td{ font-size: 15px; padding: 10px; background: none !important;border:1px solid #f7cdb8; }
.gt-tree-timeline .gt-tree-timeline__event .gt-tree-timeline__event__icon {border-right:1px solid #f7cdb8;}
.single-gt-member table tr td:first-child {font-weight: bold;}
.single-gt-member table tr td a {color: #000;}
.gt-tree-timeline .gt-tree-timeline__event, .gt-tree-timeline .gt-tree-timeline__event::before {border: 1px solid #f7cdb8;}
.gt-tree-timeline .gt-tree-timeline__event:after{background: #f7cdb8;}
.gt-tree-timeline .gt-tree-timeline__event .gt-tree-timeline__event__content .gt-tree-timeline__event__title {color: #F89F73;}
.gt-tree-timeline .gt-tree-timeline__event .gt-tree-timeline__event__content .gt-tree-timeline__event__description p{ font-weight: bold;}
/*tree house css end*/

.error404 #content{padding-bottom:40px; text-align:center;}
.page-id-3 .page-header {display: none;}

/*footer css*/
.footerup .elementor-widget-social-icons .elementor-social-icon svg {width: 18px;}
/*footer css end*/

@media(min-width:1025px) and (max-width:1399px){
h2{ font-size:40px !important }
/*header css*/
.ehf-header #masthead .headertop {max-width: 1180px;}
/*header css end*/

/*home slider css*/
.homeslider .single-slide-item.htslider-single-post-slide .htb-container {max-width: 1180px;padding: 0;}
/*home slider css end*/
}

@media(max-width:1800px){
.homeslider .single-slide-item.htslider-single-post-slide .htb-container {max-width: 1300px;}
}

@media(max-width:1600px){
.homeslider .single-slide-item.htslider-single-post-slide .htb-container {max-width: 1000px;}
}

@media(max-width:1199px){
/*header css*/
.ehf-header #masthead .headertop {max-width:90%;}
/*header css end*/

/*home slider css*/
.homeslider .single-slide-item.htslider-single-post-slide .htb-container {max-width: 70%;}
/*home slider css end*/
}

@media(max-width:1024px){
/*header css*/
.ehf-header #masthead .hfe-nav-menu__breakpoint-tablet .hfe-nav-menu__layout-horizontal, .ehf-header #masthead .hfe-nav-menu__breakpoint-tablet .hfe-nav-menu__layout-vertical{
visibility: visible;opacity: 1;height: 100%;}
.ehf-header #masthead .headertop .elementor-widget-navigation-menu .elementor-clickable {width: inherit;text-align: right;}
.ehf-header #masthead .headertop nav.hfe-nav-menu__submenu-arrow {position: fixed;top: 0px;background: #121212;z-index: 99;clear: both;padding: 15px 0;left: 0 !important;
right: 0;bottom: 0;width: 240px !important;transform: translateX(-100%);transition: 0.4s;display: block;margin: 0;}
.ehf-header #masthead .headertop nav.hfe-nav-menu__submenu-arrow.menu-is-active {transform: translateX(0);}
.ehf-header #masthead .headertop nav.hfe-nav-menu__submenu-arrow ul li {border-bottom: 1px solid #424242;}
.ehf-header #masthead .headertop nav.hfe-nav-menu__submenu-arrow ul li a {background: #000;color: #fff;}
/*header css end*/

/*home about css*/
.homeabt .elementor-element.homeabthistory .abthistory {padding:20px 20px;}
/*home about css end*/
}

@media(max-width:767px){
.homeslider .htslider-carousel-activation.dot_bottom_center .slick-dots{transform: translate(20px, -50%);}
.homeslider .htslider-single-post-slide .content .post-inner p{ font-size:15px }

.family_tree #tree{ height:300px !important; }

/*tree house css*/
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind.H {width: 240px;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind {width: 150px;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind a {font-size: 15px;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind span {font-size: 13px;}
.gt-tree-timeline .gt-tree-timeline__event .gt-tree-timeline__event__icon {justify-content: left;}
/*tree house css end*/
}

@media(max-width:576px){
.single-gt-member .page-content{overflow: scroll;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-zoom-contorl button{ font-size: 13px;}
.familyfreehouse .e-con-inner .gt-container .gt-content .gt-tree .gt-style-1 ul.childs li .ind {width: 125px;}
}
